Bug 753976 - beakerd cannot abort recipes: RequestRequiredException
Summary: beakerd cannot abort recipes: RequestRequiredException
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Beaker
Classification: Community
Component: scheduler
Version: 0.8
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified vote
Target Milestone: ---
Assignee: Bill Peck
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-11-15 01:11 UTC by Dan Callaghan
Modified: 2019-05-22 13:40 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-02-01 04:10:36 UTC


Attachments (Terms of Use)

Description Dan Callaghan 2011-11-15 01:11:46 UTC
Recipe aborted due to cobbler failure, but then:

2011-11-15 11:09:24,321 beakerd ERROR Failed to commit in scheduled_recipes
Traceback (most recent call last):
  File "/usr/lib/python2.6/site-packages/bkr/server/tools/beakerd.py", line 524, in scheduled_recipes
    e))
  File "/usr/lib/python2.6/site-packages/bkr/server/model.py", line 4600, in abort
    self.update_status()
  File "/usr/lib/python2.6/site-packages/bkr/server/model.py", line 4616, in update_status
    self._update_status()
  File "/usr/lib/python2.6/site-packages/bkr/server/model.py", line 4660, in _update_status
    recipe.release_system()
  File "/usr/lib/python2.6/site-packages/bkr/server/model.py", line 5236, in release_system
    user=self.recipeset.job.owner, watchdog=self.watchdog)
  File "/usr/lib/python2.6/site-packages/bkr/server/model.py", line 2602, in unreserve
    self.activity.append(SystemActivity(user=identity.current.user,
  File "/usr/lib/python2.6/site-packages/turbogears/identity/base.py", line 167, in __getattr__
    identity = self.identity()
  File "/usr/lib/python2.6/site-packages/turbogears/identity/base.py", line 159, in identity
    raise RequestRequiredException()
RequestRequiredException: An attempt was made to use a facility of the TurboGears Identity Management framework that relies on an HTTP request outside of a request.

Comment 1 Dan Callaghan 2012-02-01 04:10:36 UTC
This was fixed in commit ef6f9d35 and released with 0.8.0.


Note You need to log in before you can comment on or make changes to this bug.